Package net.shibboleth.idp.saml.metadata.impl

# Class ScopesNodeProcessor

java.lang.Object
net.shibboleth.idp.saml.metadata.impl.ScopesNodeProcessor

All Implemented Interfaces:
  `MetadataNodeProcessor`

@NotThreadSafe public class ScopesNodeProcessor extends Object implements MetadataNodeProcessor
An implementation of `MetadataNodeProcessor` which extracts `Scope`s from any `AttributeConsumingService` or `EntityDescriptor`. They are accumulated and stored back in as a `ScopesContainer`.

## Constructor Summary

Constructors
Constructor
Description
`ScopesNodeProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(XMLObject metadataNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScopesNodeProcessor

public ScopesNodeProcessor()

## Method Details

### process

public void process(@Nonnull XMLObject metadataNode) throws FilterException

Specified by:
  `process` in interface `MetadataNodeProcessor`
Throws:
  `FilterException`